## Class Expr

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt
                  |
                  +--Expr

Direct Known Subclasses:
  Assign, BinaryExpr, InstVar, Literal, LocalOrFieldVar, MethodCall, NewArray, NewClass, This, UnaryExpr

public abstract class Expr
extends ExprStmt

Field Summary
`UsedId` `usedid`

Fields inherited from class ExprStmt
`type`

Constructor Summary
`Expr()`

Method Summary
`de.dhbwstuttgart.typeinference.Menge` `get_Name_Menge()`
`abstract java.lang.String` `get_Name()`
`de.dhbwstuttgart.typeinference.Menge` `get_Type_Menge()`
`UsedId` `get_UsedId()`
`abstract void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `set_Type(Type type)`
`void` `set_UsedId(UsedId ui)`

Methods inherited from class ExprStmt
`get_Type`

Methods inherited from class Statement
`codegen, print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### usedid

    public UsedId usedid

Constructor Detail

### Expr

    public Expr()

Method Detail

### set_Type

    public void set_Type(Type type)

### set_UsedId

    public void set_UsedId(UsedId ui)

### get_UsedId

    public UsedId get_UsedId()

### get_Name_Menge

    public de.dhbwstuttgart.typeinference.Menge get_Name_Menge()

### get_Type_Menge

    public de.dhbwstuttgart.typeinference.Menge get_Type_Menge()

### sc_check

    public abstract void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                                  java.util.Hashtable ch,
                                  java.util.Hashtable bh,
                                  boolean ext,
                                  java.util.Hashtable parach,
                                  java.util.Hashtable parabh)
                           throws SCStatementException

  Specified by:
    `sc_check` in class `Statement`
    `SCStatementException`

### get_Name

    public abstract java.lang.String get_Name()